# ZShellScripts - (c) 2002 Jerome Alet
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#
# author: Jerome Alet - <alet@librelogiciel.com>
#
# $Id: __init__.py,v 1.5 2002/11/19 09:58:17 jalet Exp $
#
# $Log: __init__.py,v $
# Revision 1.5  2002/11/19 09:58:17  jalet
# Perl interpreter skeleton added
#
# Revision 1.4  2002/11/07 21:57:17  jalet
# Forgotten ShellPHP import
#
# Revision 1.3  2002/11/07 21:52:04  jalet
# Preliminary PHP support added (skeleton)
#
# Revision 1.2  2002/11/01 23:15:15  jalet
# Sources should be ok now.
#
# Revision 1.1.1.1  2002/11/01 22:51:24  jalet
# Initial import
#
#
#

__version__ = '0.3'

import OFS
import App

from ZShellScript import ZShellScript, manage_addZShellScriptForm, manage_addZShellScript
from ShellPython import ShellPython, manage_addShellPythonForm, manage_addShellPython
from ShellUnix import ShellUnix, manage_addShellUnixForm, manage_addShellUnix
from ShellZope import ShellZope, manage_addShellZopeForm, manage_addShellZope
from ShellLisp import ShellLisp, manage_addShellLispForm, manage_addShellLisp
from ShellPHP import ShellPHP, manage_addShellPHPForm, manage_addShellPHP
from ShellPerl import ShellPerl, manage_addShellPerlForm, manage_addShellPerl

def initialize(registrar) :
    registrar.registerClass(
        ZShellScript,
        constructors = (manage_addZShellScriptForm, manage_addZShellScript),
        icon = "www/ZShellScript.png"
        )
    registrar.registerClass(
        ShellPython,
        constructors = (manage_addShellPythonForm, manage_addShellPython),
        icon = "www/ShellPython.png"
        )
    registrar.registerClass(
        ShellUnix,
        constructors = (manage_addShellUnixForm, manage_addShellUnix),
        icon = "www/ShellUnix.png"
        )
    registrar.registerClass(
        ShellZope,
        constructors = (manage_addShellZopeForm, manage_addShellZope),
        icon = "www/ShellZope.png"
        )
    registrar.registerClass(
        ShellLisp,
        constructors = (manage_addShellLispForm, manage_addShellLisp),
        icon = "www/ShellLisp.png"
        )
    registrar.registerClass(
        ShellPHP,
        constructors = (manage_addShellPHPForm, manage_addShellPHP),
        icon = "www/ShellPHP.png"
        )
    registrar.registerClass(
        ShellPerl,
        constructors = (manage_addShellPerlForm, manage_addShellPerl),
        icon = "www/ShellPerl.png"
        )
    registrar.registerHelp()
